clear all
close all
clc

Filename1 = 'AF488_t_half_combined.txt'
Filename2 = 'CFW_t_half_combined.txt' 
Filename3 = 'SR2200_t_half_combined.txt'



Data1 = importdata(Filename1)
Data2 = importdata(Filename2)
Data3 = importdata(Filename3)



Name1 = 'AF488-CT'
Name2 = 'CFW'
Name3 = 'SR2200'

AF488_vs_CFW = ranksum(Data1, Data2)
AF488_vs_SR2200 = ranksum(Data1, Data3)

data = [Data1; Data2; Data3]   

label1 = repmat({Name1}, length(Data1),1)
label2 = repmat({Name2}, length(Data2),1)
label3 = repmat({Name3}, length(Data3),1)



labels = [label1; label2; label3]

Figurename = 'FRAP AF488-CT vs CFW and SR2200'

color1 = [0 153/255 136/255]
color2 = [51/255 187/255 238/255]
color3 = [238/255 51/255 119/255]

colors = [color3; color2; color1]

h = boxplot(data, labels);
lines = findobj(gcf, 'type', 'line');
set(lines, 'Color', 'black');
set(lines, {'linew'}, {1})

lines = findobj(gcf, 'type', 'line', 'Tag', 'Median');
set(lines, 'Color', 'black');
set(lines, {'linew'}, {4})

h = findobj(gca,'Tag','Box');
for j=1:length(h)
    patch(get(h(j),'XData'),get(h(j),'YData'),colors(j,:),'FaceAlpha',0.8);
end

hold on 


axis square;
set(gca,'linewidth',2)
set(gca,'FontSize',12)
set(gca, 'XTick', [])
set(gca,'xticklabel',[], 'yticklabel', [])
%ylabel('t 1/2','fontsize',15); % y-axis label
ylim([0, 500])
%legend('Location','Northeast')

hold on

[filedir, basename, ext] = fileparts(Figurename);
newname = fullfile(filedir, [basename '.png']);
saveas(h,newname, 'png');

