clear all
close all
clc

files = dir('*.txt');

Exportfilename = ['']

Combined_FRAP_data{1,length(files)} = []

t_half_combined{1,length(files)} = []

for i = 1
 
   Filename = files(i).name
   
   matrix = readmatrix(Filename)

   Time = matrix(: , 1)

   FRAP_intensity_list = matrix(:,2)
   Reference_intensity_list = matrix(:,3)
   Background_list = matrix(:,4)

   %average intensity before bleach
   I0_FRAP = (matrix(1,2) + matrix(2,2) + matrix(3,2))/3

   %average
   I0_REF = (matrix(1,3)+matrix(2,3)+matrix(3,3))/3

   length_list = length(matrix)

   Normalized_value = []

   for k = 1:length_list

       normalized = (I0_REF/Reference_intensity_list(k))*(FRAP_intensity_list(k)/I0_FRAP)

       Normalized_value = [Normalized_value;normalized]
      
   end

   Combined_FRAP_data_pre = [Normalized_value]

   Combined_FRAP_data_to_0 = Combined_FRAP_data_pre - min(Combined_FRAP_data_pre)

   Combined_FRAP_data_1_to_0 = Combined_FRAP_data_to_0/max(Combined_FRAP_data_to_0)

   Combined_FRAP_data = [Combined_FRAP_data_1_to_0]

   plateau1 = max(Combined_FRAP_data_1_to_0(4:33))

   f = fit(Time(4:33, 1), (1-(Combined_FRAP_data_1_to_0(4:33, 1 )/plateau1)), 'exp1')

   fitvalues = coeffvalues(f)

   tau1_fraction = fitvalues(1,1)*fitvalues(1,2)
  % tau2_fraction = fitvalues(1,3)*fitvalues(1,4)

   tau_average_individual1 = tau1_fraction%+tau2_fraction 

   t_half_individual1 = log(0.5)/tau_average_individual1

   t_half_combined = [t_half_individual1]

end


%%
for j = 2:length(files)
 
   Filename = files(j).name
   
   matrix = readmatrix(Filename)

   Time = matrix(: , 1)

   FRAP_intensity_list = matrix(:,2)
   Reference_intensity_list = matrix(:,3)
   Background_list = matrix(:,4)

   %average intensity before bleach
   I0_FRAP = (matrix(1,2) + matrix(2,2) + matrix(3,2))/3

   %average
   I0_REF = (matrix(1,3)+matrix(2,3)+matrix(3,3))/3

   length_list = length(matrix)

   Normalized_value = []

   for k = 1:length_list

       normalized = (I0_REF/Reference_intensity_list(k))*(FRAP_intensity_list(k)/I0_FRAP)

       Normalized_value = [Normalized_value;normalized]
      
   end

   Combined_FRAP_data_pre = [Normalized_value]

   Combined_FRAP_data_to_0 = Combined_FRAP_data_pre - min(Combined_FRAP_data_pre)

   Combined_FRAP_data_1_to_0 = Combined_FRAP_data_to_0/max(Combined_FRAP_data_to_0)

   Combined_FRAP_data = [Combined_FRAP_data + Combined_FRAP_data_1_to_0]

   plateau2 = max(Combined_FRAP_data_1_to_0(4:33))

   f = fit(Time(4:33, 1), (1-(Combined_FRAP_data_1_to_0(4:33, 1 )/plateau2)), 'exp1')

   fitvalues = coeffvalues(f)

   tau1_fraction = fitvalues(1,1)*fitvalues(1,2)
   %tau2_fraction = fitvalues(1,3)*fitvalues(1,4)

   tau_average_individual2 = tau1_fraction%+tau2_fraction 

   t_half_individual2 = log(0.5)/tau_average_individual2

   t_half_combined = [t_half_combined ; t_half_individual2]

end

Normalized_Combined_FRAP_to_0 = Combined_FRAP_data - min(Combined_FRAP_data)

Normalized_Combined_FRAP_1_to_0 = Normalized_Combined_FRAP_to_0 / max(Normalized_Combined_FRAP_to_0)

plateau = max(Normalized_Combined_FRAP_1_to_0(4:33))

h = scatter(Time, Normalized_Combined_FRAP_1_to_0)

f = fit(Time(4:33, :), (1-(Normalized_Combined_FRAP_1_to_0(4:33, : )/plateau)), 'exp1')

fitvalues = coeffvalues(f)

tau1_fraction = fitvalues(1,1)*fitvalues(1,2)
%tau2_fraction = fitvalues(1,3)*fitvalues(1,4)

tau_average = tau1_fraction%+tau2_fraction 

t_half = log(0.5)/tau_average

plot(f, Time(4:33, :), (1-(Normalized_Combined_FRAP_1_to_0(4:33, : )/plateau)))

writematrix(t_half_combined, 'AF488_t_half_combined.txt')
writematrix(t_half, 'AF488_t_half_average.txt')
writematrix(Time, 'AF488_time.txt')
writematrix(Normalized_Combined_FRAP_1_to_0, 'AF488_normalized_I.txt')